Skip to content
中文

POST /volcv/v1

Method: POSTEndpoint: /volcv/v1

https://www.volcengine.com/docs/6791/1279296For details, see the official integration documentation

Request Parameters

Query Parameters

text
Action
string
Required
Example:
CVProcess
Version
string
Required
Example:
2022-08-31

Header Parameters

text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
object
Example
{
"req_key"
:
"img2img_e_commerce_style"
,
"product_image_input"
:
"https://xxx"
,
"ref_image_input"
:
"https://xxx"
,
"product_alpha_switch"
:
true
,
"mask_invert_switch"
:
true
,
"auto_composition_switch"
:
false
,
"canvas_width"
:
1000
,
"canvas_height"
:
1000
,
"auto_offset_x"
:
50
,
"auto_offset_y"
:
50
,
"auto_scale"
:
0.7
,
"product_weight"
:
0.85
,
"ref_switch"
:
false
,
"ref_weight"
:
0.75
,
"ref_end_at"
:
0.75
,
"seed"
:
-1
,
"positive_prompt"
:
"table,room,warm tone,"
,
"preset_light_switch"
:
false
,
"light_position"
:
"Top Light"
,
"upload_light_switch"
:
false
,
"product_safe_switch"
:
false
,
"product_edge_weight"
:
0
,
"return_url"
:
true
,
"logo_info"
:
{
"add_logo"
:
false
,
"position"
:
0
,
"language"
:
0
,
"opacity"
:
1
,
"logo_text_content"
:
"This is a visible watermark"
}
}

Example Request

Shell

bash
curl --location --request POST '/volcv/v1?Action=CVProcess&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "req_key": "img2img_e_commerce_style",
    "product_image_input": "https://xxx",
    "ref_image_input": "https://xxx",
    "product_alpha_switch": true,
    "mask_invert_switch": true,
    "auto_composition_switch": false,
    "canvas_width": 1000,
    "canvas_height": 1000,
    "auto_offset_x": 50,
    "auto_offset_y": 50,
    "auto_scale": 0.7,
    "product_weight": 0.85,
    "ref_switch": false,
    "ref_weight": 0.75,
    "ref_end_at": 0.75,
    "seed": -1,
    "positive_prompt": "table,room,warm tone,",
    "preset_light_switch": false,
    "light_position": "Top Light",
    "upload_light_switch": false,
    "product_safe_switch": false,
    "product_edge_weight": 0,
    "return_url": true,
    "logo_info": {
        "add_logo": false,
        "position": 0,
        "language": 0,
        "opacity": 1,
        "logo_text_content": "This is a visible watermark"
    }
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
object

Example

json
{
    "code": 10000,
    "data": {
        "algorithm_base_resp": {
            "status_code": 0,
            "status_message": "Success"
        },
        "binary_data_base64": [],
        "comfyui_cost": 10,
        "image_output": [
            "uri://binary_data?index=0"
        ],
        "image_urls": [
            "https://xxx"
        ]
    },
    "message": "Success",
    "request_id": "202412172023408C2FE3E4A836ECAFC7CE",
    "status": 10000,
    "time_elapsed": "11.60766912s"
}